#include "TinyLibrary.hpp"
#include "Resource.hpp"
#include "Game.hpp"
#include "Bat.hpp"

Bat::Bat(int floor)
{
	this->image_data = GetImageData(BAT);
	this->hp_max = CalcParameter(HP_MIN, HP_MAX, floor);
	this->hp = this->hp_max;
	this->attack = CalcParameter(ATTACK_MIN, ATTACK_MAX, floor);
	this->ai_type = Enemy::AI_TYPE0;
	this->drop_crystal = (Mathmatics::Rand() % ((HP_MIN + HP_MAX) / 2)) + 1;
}

Bat::~Bat(void)
{
}

void Bat::Update(void)
{
	Enemy::Update();
}
