#include "TinyLibrary.hpp"
#include "Resource.hpp"
#include "Game.hpp"
#include "Bigeye.hpp"

Bigeye::Bigeye(int floor)
{
	this->image_data = GetImageData(BIGEYE);
	this->hp_max = CalcParameter(HP_MIN, HP_MAX, floor);
	this->hp = this->hp_max;
	this->attack = CalcParameter(ATTACK_MIN, ATTACK_MAX, floor);
	this->ai_type = Enemy::AI_TYPE0;
	this->drop_crystal = (Mathmatics::Rand() % ((HP_MIN + HP_MAX) / 2)) + 1;
}

Bigeye::~Bigeye(void)
{
}

void Bigeye::Update(void)
{
	Enemy::Update();
}
