#include "TinyLibrary.hpp"
#include "Resource.hpp"
#include "Game.hpp"
#include "GameData.hpp"
#include "Dragon.hpp"

Dragon::Dragon(int floor)
{
	this->image_data = GetImageData(DRAGON);
	this->hp_max = CalcParameter(HP_MIN, HP_MAX, floor);
	this->hp = this->hp_max;
	this->attack = CalcParameter(ATTACK_MIN, ATTACK_MAX, floor);
	this->ai_type = Enemy::AI_TYPE0;
	this->drop_crystal = 100 + floor * floor / 10;
	this->status_up = true;
}

Dragon::~Dragon(void)
{
}

void Dragon::Update(void)
{
	Enemy::Update();
}
