#include "TinyLibrary.hpp"
#include "Resource.hpp"
#include "Game.hpp"
#include "Mushroom.hpp"

Mushroom::Mushroom(int floor)
{
	this->image_data = GetImageData(MUSHROOM);
	this->hp_max = CalcParameter(HP_MIN, HP_MAX, floor);
	this->hp = this->hp_max;
	this->attack = CalcParameter(ATTACK_MIN, ATTACK_MAX, floor);
	this->ai_type = Enemy::AI_TYPE1;
	this->drop_crystal = (Mathmatics::Rand() % ((HP_MIN + HP_MAX) / 2)) + 1;
}

Mushroom::~Mushroom(void)
{
}

void Mushroom::Update(void)
{
	Enemy::Update();
}
