#ifndef RESUME_HPP
#define RESUME_HPP

class Resume
{
public:
	struct Data
	{
		// game
		int floor;
		int crystal;
		int player_type;
		// player
		int hp_max;
		int hp;
		int attack;
		int dcy;
		// item
		int item_id;
		int item_grade;
		int item_dcy;
		int item_add_dcy;
		// Status up
		int dcy_up_base;
		int dcy_up_rate;
		int attack_up_base;
		int attack_up_rate;
		bool goldrush;
		// checksum
		int check_sum;
	};
	static bool Load(Resume::Data* data);
	static void Save(Resume::Data* data);
	static void DeleteResumeDataFile(void);
};

#endif
