#include "TinyLibrary.hpp"
#include "Resource.hpp"
#include "Game.hpp"
#include "Will_o_the_wisp.hpp"

Will_o_the_wisp::Will_o_the_wisp(int floor)
{
	this->image_data = GetImageData(WILL_O_THE_WISP);
	this->hp_max = CalcParameter(HP_MIN, HP_MAX, floor);
	this->hp = this->hp_max;
	this->attack = CalcParameter(ATTACK_MIN, ATTACK_MAX, floor);
	this->ai_type = Enemy::AI_TYPE0;
	this->drop_crystal = (Mathmatics::Rand() % ((HP_MIN + HP_MAX) / 2)) + 1;
}

Will_o_the_wisp::~Will_o_the_wisp(void)
{
}

void Will_o_the_wisp::Update(void)
{
	Enemy::Update();
}
