#include "TinyLibrary.hpp"
#include "Resource.hpp"
#include "Game.hpp"
#include "Ghost.hpp"

Ghost::Ghost(int floor)
{
	this->image_data = GetImageData(GHOST);
	this->hp_max = CalcParameter(HP_MIN, HP_MAX, floor);
	this->hp = this->hp_max;
	this->attack = CalcParameter(ATTACK_MIN, ATTACK_MAX, floor);
	this->ai_type = Enemy::AI_TYPE2;
	this->drop_crystal = (Mathmatics::Rand() % ((HP_MIN + HP_MAX) / 2)) + 1;
}

Ghost::~Ghost(void)
{
}

void Ghost::Update(void)
{
	Enemy::Update();
}
